Bug 729638 - changing font settings has no effect
Summary: changing font settings has no effect
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: midori
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Hatina
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-10 12:37 UTC by Heiko Adams
Modified: 2016-06-01 01:31 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-31 09:02:59 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 826441 None None None Never

Description Heiko Adams 2011-08-10 12:37:16 UTC
Description of problem:
It looks like changing to font setting doesn't have any effect.

Version-Release number of selected component (if applicable):
midori-0.3.6-1.fc15

How reproducible:
allways

Steps to Reproduce:
1. Open Midori
2. change default font i.e. to serif
3. restart midori
  
Actual results:
midori still uses Sans as default font

Expected results:
midori should use serif as default font

Additional info:

Comment 1 Kevin Fenzi 2011-08-11 03:00:53 UTC
What page were you testing with? If the page loads a custom font it may well not matter what the setting in midori is. 

If you test various other pages does it work?

Comment 2 Heiko Adams 2011-08-11 10:08:15 UTC
I've tested http://start.fedoraproject.org/ http://wwww.facebook.com and http://wwww.sueddeutsche.de and all of them still use Sans as Font. So seems that it doesn't work.

Comment 3 Kevin Fenzi 2011-08-11 14:49:30 UTC
All of those define their own fonts. 

Try: http://lwn.net/

Comment 4 Heiko Adams 2011-08-11 16:37:12 UTC
Okay, with LWN it works but what's the sense of that option until I can't force midori to ignore the font-settnigs of websites?

Comment 5 Kevin Fenzi 2011-08-11 17:54:15 UTC
Well, it has affect on any site that doesn't use it's own fonts. (I admit, fewer than it used to be). 

There's an upstream request to add a 'always use my fonts' preference I am pretty sure, but I don't know the status of it. You could file an upstream request to make sure it's being looked at, or I can if you like.

Comment 6 Heiko Adams 2011-08-11 20:27:26 UTC
It would be nice if you could do it. I don't need another account for one-time-action ;-)

Comment 7 Kevin Fenzi 2011-08-14 20:56:27 UTC
Filed upstream. 

https://bugs.launchpad.net/midori/+bug/826441

Comment 8 Peter Hatina 2011-10-17 12:41:03 UTC
I proposed a patch, which solves his issue to upstream (https://bugs.launchpad.net/midori/+bug/826441)

Comment 9 Peter Hatina 2011-10-31 09:03:23 UTC
Fixed in upstream.


Note You need to log in before you can comment on or make changes to this bug.